package org.xbib.io.webdav.client.methods;

import java.net.http.HttpResponse;

/**
 * Represents an HTTP CHECKIN request.
 *
 * @see <a href="http://webdav.org/specs/rfc3253.html#rfc.section.4.4">RFC 3253, Section 4.4</a>
 */
public class Checkin extends AbstractMethod {

    @Override
    public String method() {
        return "CHECKIN";
    }

    @Override
    public boolean succeeded(HttpResponse<?> response) {
        return response.statusCode() == 201;
    }
}
